Subject: Re: bug#19824: 25.0.50; Support goal column in multi-line minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Feb 2015 17:39:18 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 11 Feb 2015 01:38:03 +0200
> 
> > Why do you use current-column and move-to-column here, instead of
> > using the line-move-visual methods we use by default in any other
> > buffer?  Is there some technical problem to use visual-line movement
> > in the minibuffer?  If not, I think we should do that for consistency
> > of the user experience.
> 
> line-move-visual is still used while moving point inside the minibuffer,
> but when moving to another history element, the whole contents of the
> minibuffer is erased, and new text is inserted, in which the column
> should be positioned correctly.

Right, sorry.  So I guess now I don't understand why we try keeping
the horizontal position across history elements.  Why not reset the
position to just after the prompt?  There's nothing in common between
the history elements, in general.